Package com.ocient.jdbc.proto

# Class ClientWireProtocol.CompletedQueriesRow

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.CompletedQueriesRow

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.CompletedQueriesRowOrBuilder`, `Serializable`

Enclosing class:
  `ClientWireProtocol`

public static final class ClientWireProtocol.CompletedQueriesRow extends com.google.protobuf.GeneratedMessageV3 implements ClientWireProtocol.CompletedQueriesRowOrBuilder

     Matches row output from the completed queries vTable

Protobuf type `xg.cmdcomp.CompletedQueriesRow`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.CompletedQueriesRow.Builder`
Matches row output from the completed queries vTable

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTES_RETURNED_FIELD_NUMBER`
`static final int`
`CLIENT_IP_FIELD_NUMBER`
`static final int`
`CLIENT_VERSION_FIELD_NUMBER`
`static final int`
`CODE_FIELD_NUMBER`
`static final int`
`COST_ESTIMATE_FIELD_NUMBER`
`static final int`
`DATABASE_ID_FIELD_NUMBER`
`static final int`
`FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_PRIORITY_FIELD_NUMBER`
`static final int`
`PLAN_PARALLELISM_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`static final int`
`REASON_FIELD_NUMBER`
`static final int`
`ROWS_RETURNED_FIELD_NUMBER`
`static final int`
`RUNTIME_FIELD_NUMBER`
`static final int`
`SQL_FIELD_NUMBER`
`static final int`
`STATE_FIELD_NUMBER`
`static final int`
`TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER`
`static final int`
`TIME_COMPLETE_FIELD_NUMBER`
`static final int`
`TIME_EXEC_START_FIELD_NUMBER`
`static final int`
`TIME_START_FIELD_NUMBER`
`static final int`
`TIMESTAMP_COMPLETE_FIELD_NUMBER`
`static final int`
`TIMESTAMP_EXEC_START_FIELD_NUMBER`
`static final int`
`TIMESTAMP_START_FIELD_NUMBER`
`static final int`
`USER_FIELD_NUMBER`
`static final int`
`UUID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`getBytesReturned()`
the number of bytes returned by the query
`String`
`getClientIp()`
the IP of the client
`com.google.protobuf.ByteString`
`getClientIpBytes()`
the IP of the client
`String`
`getClientVersion()`
the version of the connector used to submit the query
`com.google.protobuf.ByteString`
`getClientVersionBytes()`
the version of the connector used to submit the query
`int`
`getCode()`
the SQL state code
`double`
`getCostEstimate()`
the plan cost estimate
`com.google.protobuf.StringValue`
`getDatabaseId()`
the string representation of the database uuid the user was connected to
`com.google.protobuf.StringValueOrBuilder`
`getDatabaseIdOrBuilder()`
the string representation of the database uuid the user was connected to
`static ClientWireProtocol.CompletedQueriesRow`
`getDefaultInstance()`
`ClientWireProtocol.CompletedQueriesRow`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`double`
`getFinalEffectivePriority()`
the final effective dynamically adjusted priority
`float`
`getInitialEffectivePriority()`
initial effective priority adjusted for query cost and mem usage
`float`
`getInitialPriority()`
initial plan priority based on wlm limits
`com.google.protobuf.Parser<ClientWireProtocol.CompletedQueriesRow>`
`getParserForType()`
`int`
`getPlanParallelism()`
the plan parallelism
`float`
`getPriorityAdjustFactor()`
priority adjustment factor
`int`
`getPriorityAdjustTime()`
priority adjustment time
`String`
`getReason()`
the reason
`com.google.protobuf.ByteString`
`getReasonBytes()`
the reason
`long`
`getRowsReturned()`
the number of rows returned by the query
`long`
`getRuntime()`
the number of seconds take to complete the query
`int`
`getSerializedSize()`
`String`
`getSql()`
the sql text
`com.google.protobuf.ByteString`
`getSqlBytes()`
the sql text
`String`
`getState()`
the string representation of the SQL state
`com.google.protobuf.ByteString`
`getStateBytes()`
the string representation of the SQL state
`long`
`getTempDiskSpaceConsumed()`
the total amount of temp disk space consumed in bytes
`String`
`getTimeComplete()`
the string representation of the time the query completed execution
`com.google.protobuf.ByteString`
`getTimeCompleteBytes()`
the string representation of the time the query completed execution
`String`
`getTimeExecStart()`
the string representation of the time the query began execution
`com.google.protobuf.ByteString`
`getTimeExecStartBytes()`
the string representation of the time the query began execution
`long`
`getTimestampComplete()`
ms since epoch representation of the time the query completed execution
`long`
`getTimestampExecStart()`
ms since epoch representation of the time the query began execution
`long`
`getTimestampStart()`
ms since epoch representation of the time the query was accepted by the sql node
`String`
`getTimeStart()`
the string representation of the time the query was accepted by the sql node
`com.google.protobuf.ByteString`
`getTimeStartBytes()`
the string representation of the time the query was accepted by the sql node
`String`
`getUser()`
the string representation of the user's uuid
`com.google.protobuf.ByteString`
`getUserBytes()`
the string representation of the user's uuid
`String`
`getUuid()`
the query plan uuid
`com.google.protobuf.ByteString`
`getUuidBytes()`
the query plan uuid
`boolean`
`hasDatabaseId()`
the string representation of the database uuid the user was connected to
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilder()`
`static ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilder(ClientWireProtocol.CompletedQueriesRow prototype)`
`ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilderForType()`
`protected ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(byte[] data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(InputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.CompletedQueriesRow>`
`parser()`
`ClientWireProtocol.CompletedQueriesRow.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### USER_FIELD_NUMBER

public static final int USER_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATABASE_ID_FIELD_NUMBER

public static final int DATABASE_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_VERSION_FIELD_NUMBER

public static final int CLIENT_VERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_IP_FIELD_NUMBER

public static final int CLIENT_IP_FIELD_NUMBER

See Also:
  - Constant Field Values

### SQL_FIELD_NUMBER

public static final int SQL_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_START_FIELD_NUMBER

public static final int TIMESTAMP_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_START_FIELD_NUMBER

public static final int TIME_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_COMPLETE_FIELD_NUMBER

public static final int TIMESTAMP_COMPLETE_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_COMPLETE_FIELD_NUMBER

public static final int TIME_COMPLETE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CODE_FIELD_NUMBER

public static final int CODE_FIELD_NUMBER

See Also:
  - Constant Field Values

### STATE_FIELD_NUMBER

public static final int STATE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REASON_FIELD_NUMBER

public static final int REASON_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_EXEC_START_FIELD_NUMBER

public static final int TIMESTAMP_EXEC_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_EXEC_START_FIELD_NUMBER

public static final int TIME_EXEC_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### UUID_FIELD_NUMBER

public static final int UUID_FIELD_NUMBER

See Also:
  - Constant Field Values

### FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### COST_ESTIMATE_FIELD_NUMBER

public static final int COST_ESTIMATE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PLAN_PARALLELISM_FIELD_NUMBER

public static final int PLAN_PARALLELISM_FIELD_NUMBER

See Also:
  - Constant Field Values

### ROWS_RETURNED_FIELD_NUMBER

public static final int ROWS_RETURNED_FIELD_NUMBER

See Also:
  - Constant Field Values

### BYTES_RETURNED_FIELD_NUMBER

public static final int BYTES_RETURNED_FIELD_NUMBER

See Also:
  - Constant Field Values

### RUNTIME_FIELD_NUMBER

public static final int RUNTIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER

public static final int TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

public static final int PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_TIME_FIELD_NUMBER

public static final int PRIORITY_ADJUST_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_PRIORITY_FIELD_NUMBER

public static final int INITIAL_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getUser

public String getUser()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUser` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The user.

### getUserBytes

public com.google.protobuf.ByteString getUserBytes()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUserBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for user.

### hasDatabaseId

public boolean hasDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `hasDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  Whether the databaseId field is set.

### getDatabaseId

public com.google.protobuf.StringValue getDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The databaseId.

### getDatabaseIdOrBuilder

public com.google.protobuf.StringValueOrBuilder getDatabaseIdOrBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseIdOrBuilder` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`

### getClientVersion

public String getClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersion` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientVersion.

### getClientVersionBytes

public com.google.protobuf.ByteString getClientVersionBytes()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersionBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientVersion.

### getClientIp

public String getClientIp()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIp` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientIp.

### getClientIpBytes

public com.google.protobuf.ByteString getClientIpBytes()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIpBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientIp.

### getSql

public String getSql()

     the sql text

`string sql = 5;`

Specified by:
  `getSql` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The sql.

### getSqlBytes

public com.google.protobuf.ByteString getSqlBytes()

     the sql text

`string sql = 5;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for sql.

### getTimestampStart

public long getTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Specified by:
  `getTimestampStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampStart.

### getTimeStart

public String getTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeStart.

### getTimeStartBytes

public com.google.protobuf.ByteString getTimeStartBytes()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeStart.

### getTimestampComplete

public long getTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Specified by:
  `getTimestampComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampComplete.

### getTimeComplete

public String getTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeComplete.

### getTimeCompleteBytes

public com.google.protobuf.ByteString getTimeCompleteBytes()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeCompleteBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeComplete.

### getCode

public int getCode()

     the SQL state code

`int32 code = 10;`

Specified by:
  `getCode` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The code.

### getState

public String getState()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getState` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The state.

### getStateBytes

public com.google.protobuf.ByteString getStateBytes()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getStateBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for state.

### getReason

public String getReason()

     the reason

`string reason = 12;`

Specified by:
  `getReason` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The reason.

### getReasonBytes

public com.google.protobuf.ByteString getReasonBytes()

     the reason

`string reason = 12;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for reason.

### getTimestampExecStart

public long getTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Specified by:
  `getTimestampExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampExecStart.

### getTimeExecStart

public String getTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeExecStart.

### getTimeExecStartBytes

public com.google.protobuf.ByteString getTimeExecStartBytes()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeExecStart.

### getUuid

public String getUuid()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuid` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public com.google.protobuf.ByteString getUuidBytes()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuidBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for uuid.

### getFinalEffectivePriority

public double getFinalEffectivePriority()

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Specified by:
  `getFinalEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The finalEffectivePriority.

### getCostEstimate

public double getCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Specified by:
  `getCostEstimate` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The costEstimate.

### getPlanParallelism

public int getPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Specified by:
  `getPlanParallelism` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The planParallelism.

### getRowsReturned

public long getRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Specified by:
  `getRowsReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The rowsReturned.

### getBytesReturned

public long getBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Specified by:
  `getBytesReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytesReturned.

### getRuntime

public long getRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Specified by:
  `getRuntime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The runtime.

### getTempDiskSpaceConsumed

public long getTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Specified by:
  `getTempDiskSpaceConsumed` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The tempDiskSpaceConsumed.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()

     priority adjustment factor

`float priority_adjust_factor = 25;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

public int getPriorityAdjustTime()

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### getInitialPriority

public float getInitialPriority()

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialPriority.

### getInitialEffectivePriority

public float getInitialEffectivePriority()

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.CompletedQueriesRow parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.CompletedQueriesRow parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.CompletedQueriesRow.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.CompletedQueriesRow.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.CompletedQueriesRow.Builder newBuilder(ClientWireProtocol.CompletedQueriesRow prototype)

### toBuilder

public ClientWireProtocol.CompletedQueriesRow.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.CompletedQueriesRow.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.CompletedQueriesRow getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.CompletedQueriesRow> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.CompletedQueriesRow> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.CompletedQueriesRow getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`